Bug 620909 - [abrt] crash in gnome-settings-daemon-2.30.1-7.fc13: raise: Process /usr/libexec/gnome-settings-daemon was killed by signal 6 (SIGABRT)
[abrt] crash in gnome-settings-daemon-2.30.1-7.fc13: raise: Process /usr/libe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:d494220e4b983af2a7b525b0d13...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 14:25 EDT by Aron Griffis
Modified: 2011-06-28 11:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 11:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.01 KB, text/plain)
2010-08-03 14:25 EDT, Aron Griffis
no flags Details

  None (edit)
Description Aron Griffis 2010-08-03 14:25:56 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/gnome-settings-daemon
comment: gnome-settings-daemon crashes every time it tries to start for me.
component: gnome-settings-daemon
crash_function: raise
executable: /usr/libexec/gnome-settings-daemon
global_uuid: d494220e4b983af2a7b525b0d13d78ea020a3cd2
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: gnome-settings-daemon-2.30.1-7.fc13
rating: 4
reason: Process /usr/libexec/gnome-settings-daemon was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Try to run gnome-appearance-properties
2. Dialog pops up saying that it couldn't start gnome-settings-daemon
3. Attempt to run /usr/libexec/gnome-settings-daemon directly, see it's crashing
Comment 1 Aron Griffis 2010-08-03 14:25:58 EDT
Created attachment 436348 [details]
File: backtrace
Comment 2 Aron Griffis 2010-08-03 14:33:11 EDT
Debug output:

$ /usr/libexec/gnome-settings-daemon --debug --no-daemon
** (gnome-settings-daemon:6779): DEBUG: Successfully connected to D-Bus
** (gnome-settings-daemon:6779): DEBUG: Starting settings manager
** (gnome-settings-daemon:6779): DEBUG: Loading settings plugins from dir: /usr/lib64/gnome-settings-daemon-2.0/
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/keyboard.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='Keyboard' file='/usr/lib64/gnome-settings-daemon-2.0/keyboard.gnome-settings-plugin' location='keyboard'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/media-keys.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='Media keys' file='/usr/lib64/gnome-settings-daemon-2.0/media-keys.gnome-settings-plugin' location='media-keys'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/sound.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='Sound' file='/usr/lib64/gnome-settings-daemon-2.0/sound.gnome-settings-plugin' location='sound'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/a11y-keyboard.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='Accessibility Keyboard' file='/usr/lib64/gnome-settings-daemon-2.0/a11y-keyboard.gnome-settings-plugin' location='a11y-keyboard'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/font.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='Font' file='/usr/lib64/gnome-settings-daemon-2.0/font.gnome-settings-plugin' location='font'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/housekeeping.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='Housekeeping' file='/usr/lib64/gnome-settings-daemon-2.0/housekeeping.gnome-settings-plugin' location='housekeeping'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/mouse.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='Mouse' file='/usr/lib64/gnome-settings-daemon-2.0/mouse.gnome-settings-plugin' location='mouse'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/xsettings.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='X Settings' file='/usr/lib64/gnome-settings-daemon-2.0/xsettings.gnome-settings-plugin' location='xsettings'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/xrdb.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='X Resource Database' file='/usr/lib64/gnome-settings-daemon-2.0/xrdb.gnome-settings-plugin' location='xrdb'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/keybindings.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='Keybindings' file='/usr/lib64/gnome-settings-daemon-2.0/keybindings.gnome-settings-plugin' location='keybindings'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/xrandr.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='XRandR' file='/usr/lib64/gnome-settings-daemon-2.0/xrandr.gnome-settings-plugin' location='xrandr'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/background.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='Background' file='/usr/lib64/gnome-settings-daemon-2.0/background.gnome-settings-plugin' location='background'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/clipboard.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='Clipboard' file='/usr/lib64/gnome-settings-daemon-2.0/clipboard.gnome-settings-plugin' location='clipboard'
** (gnome-settings-daemon:6779): DEBUG: Loading plugin: /usr/lib64/gnome-settings-daemon-2.0/typing-break.gnome-settings-plugin
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsPluginInfo: name='Typing Break' file='/usr/lib64/gnome-settings-daemon-2.0/typing-break.gnome-settings-plugin' location='typing-break'
** (gnome-settings-daemon:6779): DEBUG: GnomeSettingsModule 0xedad40 initialising
** (gnome-settings-daemon:6779): DEBUG: Loading /usr/lib64/gnome-settings-daemon-2.0/libxrandr.so
** (gnome-settings-daemon:6779): DEBUG: Registering GsdXrandrPlugin
** (gnome-settings-daemon:6779): DEBUG: Creating object of type GsdXrandrPlugin
** (gnome-settings-daemon:6779): DEBUG: GsdXrandrPlugin initializing
** (gnome-settings-daemon:6779): DEBUG: Activating xrandr plugin
** (gnome-settings-daemon:6779): DEBUG: Starting xrandr manager
**
ERROR:gnome-rr-config.c:607:gnome_rr_config_new_current: assertion failed: (gnome_rr_config_match (config, config))
Aborted (core dumped)
Comment 3 Aron Griffis 2010-08-03 14:43:39 EDT
See also bz 620917 which appears to be the same bug in gnome-display-properties
Comment 4 Aron Griffis 2010-08-03 17:11:37 EDT
Is this related?

$ xrandr --auto
xrandr: cannot find output 0x52

Note that this is a thin client running X remotely. The X server is running Debian sid, connecting to the XDMCP server running F13.
Comment 5 Aron Griffis 2010-08-03 17:14:24 EDT
Actually I get the same exact error when running xrandr locally on the Debian thin client.
Comment 6 Aron Griffis 2010-12-02 11:05:54 EST
I've reinstalled this system with Fedora 14. I'm no longer running X remotely. This is a now a simple local installation, and the same bug persists.
Comment 7 Bug Zapper 2011-06-01 08:11:15 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-28 11:01:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.